Loading...
Searching...
No Matches
Opm::Elasticity::HexGeometry< 2, cdim, GridImp > Class Template Reference

Specialization for 2D quadrilaterals. More...

`#include <boundarygrid.hh>`

## Public Types

enum | { dimension = 2 }
| The dimension of the grid.
enum | { mydimension = 2 }
| Dimension of the domain space.
enum | { coorddimension = cdim }
| Dimension of the range space.
enum | { dimensionworld = 2 }
| World dimension of underlying grid.
typedef double | ctype
| Coordinate element type.
typedef Dune::FieldVector< ctype, mydimension > | LocalCoordinate
| Domain type.
typedef Dune::FieldVector< ctype, coorddimension > | GlobalCoordinate
| Range type.
typedef Dune::FieldMatrix< ctype, coorddimension, mydimension > | Jacobian
| Type of Jacobian matrix.
typedef Dune::FieldMatrix< ctype, mydimension, coorddimension > | JacobianTransposed
| Type of transposed Jacobian matrix.

## Public Member Functions

| HexGeometry (const BoundaryGrid::Quad &q, const GridImp &gv, int dir)
| Construct integration element extracted from a 3D grid.
| HexGeometry (const BoundaryGrid::Quad &q)
| Construct integration element.
Dune::GeometryType | type () const
| Returns entity type (a 2D cube).
int | corners () const
| Returns number of corners.
ctype | volume () const
| Returns volume (area) of quadrilateral.
GlobalCoordinate | center () const
| Returns center of quadrilateral.
GlobalCoordinate | corner (int cor) const
| Returns coordinates to requested corner.
GlobalCoordinate | global (const LocalCoordinate &local) const
| Map from local coordinates to global coordinates.
LocalCoordinate | local (const GlobalCoordinate &y) const
| Map from global coordinates to local coordinates.
const Dune::FieldMatrix< ctype, mydimension, coorddimension > | jacobianTransposed (const LocalCoordinate &local) const
| Return the transposed jacobian.
const Dune::FieldMatrix< ctype, coorddimension, mydimension > | jacobianInverseTransposed (const LocalCoordinate &local) const
| Returns the inverse, transposed Jacobian.
ctype | integrationElement (const LocalCoordinate &local) const
| Returns the integration element (|J'*J|)^(1/2).

## Detailed Description

template<int cdim, class GridImp>
class Opm::Elasticity::HexGeometry< 2, cdim, GridImp >

Specialization for 2D quadrilaterals.

## Constructor & Destructor Documentation

## HexGeometry() [1/2]

template<int cdim, class GridImp>

Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::HexGeometry | ( | const BoundaryGrid::Quad & | q,
|  | const GridImp & | gv,
|  | int | dir )

inline

Construct integration element extracted from a 3D grid.

Parameters

  [in] | q | Quad describing element
  [in] | gv | Underlying 3D grid quads are extracted from
  [in] | dir | The direction of the normal vector on the face

## HexGeometry() [2/2]

template<int cdim, class GridImp>

Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::HexGeometry | ( | const BoundaryGrid::Quad & | q | ) |

inline explicit

Construct integration element.

Parameters

  [in] | q | Quad describing element

## Member Function Documentation

## corner()

template<int cdim, class GridImp>

GlobalCoordinate Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::corner | ( | int | cor | ) | const

inline

Returns coordinates to requested corner.

Parameters

  [in] | cor | The requested corner (0..3)

## global()

template<int cdim, class GridImp>

GlobalCoordinate Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::global | ( | const LocalCoordinate & | local | ) | const

inline

Map from local coordinates to global coordinates.

Parameters

  [in] | local | The local coordinates

## integrationElement()

template<int cdim, class GridImp>

ctype Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::integrationElement | ( | const LocalCoordinate & | local | ) | const

inline

Returns the integration element (|J'*J|)^(1/2).

Parameters

  [in] | local | The local coordinates

## jacobianInverseTransposed()

template<int cdim, class GridImp>

const Dune::FieldMatrix< ctype, coorddimension, mydimension > Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::jacobianInverseTransposed | ( | const LocalCoordinate & | local | ) | const

inline

Returns the inverse, transposed Jacobian.

Parameters

  [in] | local | The local coordinates

## jacobianTransposed()

template<int cdim, class GridImp>

const Dune::FieldMatrix< ctype, mydimension, coorddimension > Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::jacobianTransposed | ( | const LocalCoordinate & | local | ) | const

inline

Return the transposed jacobian.

Parameters

  [in] | local | The local coordinates

## local()

template<int cdim, class GridImp>

LocalCoordinate Opm::Elasticity::HexGeometry< 2, cdim, GridImp >::local | ( | const GlobalCoordinate & | y | ) | const

inline

Map from global coordinates to local coordinates.

Parameters

  [in] | y | The global coordinates

The documentation for this class was generated from the following file:

- opm/elasticity/boundarygrid.hh